<?php

namespace Meibuyu\Rpc\Service\Interfaces\Order;


interface OrderCheckUsedProductServiceInterface
{
    /**
     * 查询采购备货中是否用过仓库子产品
     * @param array $ids 仓库子产品id数组,默认去重
     * @return array 返回用过的id数组
     */
    public function purchaseStockUpUsedProductChildId($ids);

    /**
     * 备货建议中是否用过仓库子产品
     * @param array $ids 仓库子产品id数组,默认去重
     * @return array 返回用过的id数组
     */
    public function stockUpAdviceUsedProductChildId($ids);

    /**
     * 子订单是否用过仓库子产品
     * @param array $ids 仓库子产品id数组,默认去重
     * @return array 返回用过的id数组
     */
    public function subOrderUsedProductChildId($ids);
}